Bug 1281489 - Adding DASD/FCP devices with no device number: TypeError: Argument 0 does not allow None as a value
Adding DASD/FCP devices with no device number: TypeError: Argument 0 does not...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: libblockdev (Show other bugs)
23
s390x Linux
medium Severity medium
: ---
: ---
Assigned To: Samantha N. Bueno
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ZedoraTracker
  Show dependency treegraph
 
Reported: 2015-11-12 11:08 EST by Jan Stodola
Modified: 2016-12-20 10:44 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:44:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Stodola 2015-11-12 11:08:44 EST
Description of problem:
I tried to add a DASD disk during manual installation in VNC mode, but I didn't enter any device number. Anaconda failed with a traceback after clicking on the "Start Discovery" button:

anaconda 23.19.10-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python3.4/site-packages/gi/overrides/BlockDev.py", line 395, in wrapped
    ret = orig_obj(*args, **kwargs)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/ui/gui/spokes/advstorage/dasd.py", line 134, in _discover
    blockdev.s390.dasd_online(device)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/ui/gui/spokes/advstorage/dasd.py", line 102, in on_start_clicked
    self._discover(device)
TypeError: Argument 0 does not allow None as a value

A similar issue in case of zFCP with no values entered:

anaconda 23.19.10-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python3.4/site-packages/gi/overrides/BlockDev.py", line 395, in wrapped
    ret = orig_obj(*args, **kwargs)
  File "/usr/lib/python3.4/site-packages/blivet/zfcp.py", line 49, in __init__
    self.devnum = blockdev.s390.sanitize_dev_input(devnum)
  File "/usr/lib/python3.4/site-packages/blivet/zfcp.py", line 330, in addFCP
    d = ZFCPDevice(devnum, wwpn, fcplun)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/ui/gui/spokes/advstorage/zfcp.py", line 146, in _discover
    self.zfcp.addFCP(args[0], args[1], args[2])
  File "/usr/lib64/python3.4/site-packages/pyanaconda/ui/gui/spokes/advstorage/zfcp.py", line 112, in on_start_clicked
    self._discover(device, wwpn, lun)
TypeError: Argument 0 does not allow None as a value


Version-Release number of selected component (if applicable):
F23 for s390x
anaconda-23.19.10-1.fc23
python3-blivet-1.12.8-1.fc23
libblockdev-1.1-2.fc23

How reproducible:
always

Steps to Reproduce:
1. proceed to the advanced storage screen
2. try to add DASD/zFCP, but do not enter any value in the device number field

Actual results:
anaconda traceback

Expected results:
an error message, since no device number was entered
Comment 3 Samantha N. Bueno 2015-11-12 16:44:37 EST
blockdev.s390.sanitize_dev_input should be raising an error here.

From src/plugins/s390.c:
    /* first make sure we're not being played */
    if ((dev == NULL) || (!*dev)) {
        g_set_error (error, BD_S390_ERROR, BD_S390_ERROR_DEVICE,
                     "You have not specified a device number or the number is invalid");
        g_clear_error (error);
        return NULL;
    }

I probably shouldn't be calling g_clear_error immediately after setting it though.
Comment 4 Fedora End Of Life 2016-11-24 08:21:14 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2016-12-20 10:44:40 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.